API Direct
Endpoints
Bluesky User Following

Bluesky User Following

GET /v1/bluesky/user/following

Get the accounts a Bluesky user follows, newest first. Returns handle, display name, DID, bio, verification status, profile picture, and join date for each account.

Cost
$0.003 per page
Free tier
50 requests/month

Parameters

username
Bluesky handle, e.g. bsky.app, with or without leading @, or the account's DID (max 100 characters). Provide either username or url.
url
Bluesky profile URL, e.g. https://bsky.app/profile/bsky.app (max 500 characters). Provide either username or url.
pages
Number of pages to fetch, 1-20 (default: 1). Each page returns up to 50 accounts; you are billed per page returned.

Example Request

curl "https://apidirect.io/v1/bluesky/user/following?username=pfrazee.com&pages=1"   -H "X-API-Key: YOUR_API_KEY"

Example Response

{
  "following": [
    {
      "username": "wired.sister.haus",
      "full_name": "evil_sister.rb",
      "user_id": "did:plc:m6stoaqv4ocgbn4icbwj7chp",
      "biography": "dream sender",
      "is_verified": false,
      "profile_pic_url": "https://cdn.bsky.app/img/avatar/plain/did:plc:m6stoaqv4ocgbn4icbwj7chp/bafkreifzlrytu464rba7tkbted4qzw5ovz6z5bxk2r26uctjespgz5dul4",
      "date_joined": "2026-04-14 23:30:04",
      "url": "https://bsky.app/profile/wired.sister.haus"
    }
  ],
  "username": "pfrazee.com",
  "pages": 1,
  "count": 50
}

Your Usage

Free tier this month
Loading...
Recent Activity